POST Agents/Selection/GetSelectionSummaries
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Selection/GetSelectionSummaries
Get an array of summaryitem for the given selections
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Selection/GetSelectionSummaries?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SelectionIds
| Property Name | Type | Description |
|---|---|---|
| SelectionIds | Array |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| SelectionId | int32 | Primary key |
| Name | string | Name, freetext indexed |
| TargetTable | string | The main table this is a selection of |
| Registered | date-time | Registered when in UTC. |
| ProviderName | string | Provider name for this selection |
Sample request
POST /api/v1/Agents/Selection/GetSelectionSummaries
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"SelectionIds": [
973,
751
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"SelectionId": 606,
"Name": "Active Customers - Q4 2024",
"TargetTable": "contact",
"Registered": "2024-10-15T09:30:00+02:00",
"ProviderName": "ContactSelection"
},
{
"SelectionId": 606,
"Name": "Active Customers - Q4 2024",
"TargetTable": "contact",
"Registered": "2024-10-15T09:30:00+02:00",
"ProviderName": "ContactSelection"
}
]